=== debian/changelog ===
ros-melodic-mesh-msgs-conversions (1.0.1-1stretch) stretch; urgency=high

  * fix of static-name bug in LVR2Config.cmake
  * removed not implemented functions from header
  * moved lvr_ros conversions to mesh_msgs_conversions

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 10 Nov 2020 23:00:00 -0000
