=== debian/control ===
Source: ros-melodic-mesh-msgs-conversions
Section: misc
Priority: optional
Maintainer: Sebastian Pütz <spuetz@uos.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-lvr2, ros-melodic-mesh-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-mesh-msgs-conversions
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-lvr2, ros-melodic-mesh-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs
Description: converts point clouds and attributes into meshes and mesh attributes
